<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: util/mesh2dual.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_81f17f03227d7067ce13f3651b0bf66b.html">util</a>
  </div>
</div>
<div class="contents">
<h1>mesh2dual.c File Reference</h1><code>#include &quot;<a class="el" href="util_8h_source.html">util.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for mesh2dual.c:</div>
<div class="dynsection">
<div class="center"><img src="mesh2dual_8c__incl.png" border="0" usemap="#util_2mesh2dual_8c_map" alt=""/></div>
<map name="util_2mesh2dual_8c_map" id="util_2mesh2dual_8c">
<area shape="rect" id="node3" href="util_8h.html" title="util.h" alt="" coords="176,86,227,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/></map>
</div>

<p><a href="mesh2dual_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mesh2dual_8c.html#a51ea3c9c2c0666b30c9e1253d1e21306">MAXVERTVERT</a>&nbsp;&nbsp;&nbsp;10000</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mesh2dual_8c.html#a9f95d406391938710a421eb1fecf49c1">MAXELEELE</a>&nbsp;&nbsp;&nbsp;NF</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mesh2dual_8c.html#a9f95d406391938710a421eb1fecf49c1">MAXELEELE</a>&nbsp;&nbsp;&nbsp;NF</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b">Mesh2VertEle</a> (int n_ele, int n_vert, int *elevert, int **ia, int **ja)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434">Mesh2Nodal</a> (int n_ele, int n_vert, int *elevert, int **ia, int **ja)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mesh2dual_8c.html#a072403ed5e4bbd16fd845d52009d1270">Mesh2Dual</a> (int n_ele, int n_vert, int *elevert, int **ia, int **ja)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="mesh2dual_8c.html#a6210ae7524754edb5738f9516cb92654">Mesh2Dual2</a> (int n_ele, int n_vert, int *elevert, int **ia, int **ja)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a9f95d406391938710a421eb1fecf49c1"></a><!-- doxytag: member="mesh2dual.c::MAXELEELE" ref="a9f95d406391938710a421eb1fecf49c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAXELEELE&nbsp;&nbsp;&nbsp;NF</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a9f95d406391938710a421eb1fecf49c1"></a><!-- doxytag: member="mesh2dual.c::MAXELEELE" ref="a9f95d406391938710a421eb1fecf49c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAXELEELE&nbsp;&nbsp;&nbsp;NF</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, and <a class="el" href="mesh2dual_8c_source.html#l00531">Mesh2Dual2()</a>.</p>

</div>
</div>
<a class="anchor" id="a51ea3c9c2c0666b30c9e1253d1e21306"></a><!-- doxytag: member="mesh2dual.c::MAXVERTVERT" ref="a51ea3c9c2c0666b30c9e1253d1e21306" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MAXVERTVERT&nbsp;&nbsp;&nbsp;10000</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a072403ed5e4bbd16fd845d52009d1270"></a><!-- doxytag: member="mesh2dual.c::Mesh2Dual" ref="a072403ed5e4bbd16fd845d52009d1270" args="(int n_ele, int n_vert, int *elevert, int **ia, int **ja)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Mesh2Dual </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_vert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>elevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ia</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ja</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mesh2dual_8c_source.html#l00320">320</a> of file <a class="el" href="mesh2dual_8c_source.html">mesh2dual.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c.html#a9f95d406391938710a421eb1fecf49c1">MAXELEELE</a>, <a class="el" href="mesh2dual_8c_source.html#l00040">Mesh2VertEle()</a>, <a class="el" href="griddata_8h_source.html#l00095">NF</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, and <a class="el" href="tettri_8c_source.html#l00072">tetnb()</a>.</p>

<p>Referenced by <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, and <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_cgraph.png" border="0" usemap="#mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_cgraph_map" alt=""></div>
<map name="mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_cgraph_map" id="mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="143,5,244,35"/><area shape="rect" id="node5" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1" title="tetnb" alt="" coords="168,58,219,89"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_icgraph.png" border="0" usemap="#mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_icgraph_map" alt=""></div>
<map name="mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_icgraph_map" id="mesh2dual_8c_a072403ed5e4bbd16fd845d52009d1270_icgraph">
<area shape="rect" id="node3" href="movedata_8c.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="143,5,249,35"/><area shape="rect" id="node9" href="init_8h.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="165,58,227,89"/><area shape="rect" id="node12" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="143,111,249,142"/><area shape="rect" id="node15" href="util_8h.html#ad881c6e71023a337d9a87f59d207106c" title="PidSharedArea" alt="" coords="141,165,251,195"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="300,58,359,89"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="408,58,459,89"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a6210ae7524754edb5738f9516cb92654"></a><!-- doxytag: member="mesh2dual.c::Mesh2Dual2" ref="a6210ae7524754edb5738f9516cb92654" args="(int n_ele, int n_vert, int *elevert, int **ia, int **ja)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Mesh2Dual2 </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_vert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>elevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ia</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ja</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mesh2dual_8c_source.html#l00531">531</a> of file <a class="el" href="mesh2dual_8c_source.html">mesh2dual.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c.html#a9f95d406391938710a421eb1fecf49c1">MAXELEELE</a>, <a class="el" href="mesh2dual_8c_source.html#l00040">Mesh2VertEle()</a>, <a class="el" href="griddata_8h_source.html#l00094">NV</a>, and <a class="el" href="tettri_8c_source.html#l00072">tetnb()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mesh2dual_8c_a6210ae7524754edb5738f9516cb92654_cgraph.png" border="0" usemap="#mesh2dual_8c_a6210ae7524754edb5738f9516cb92654_cgraph_map" alt=""></div>
<map name="mesh2dual_8c_a6210ae7524754edb5738f9516cb92654_cgraph_map" id="mesh2dual_8c_a6210ae7524754edb5738f9516cb92654_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="151,5,252,35"/><area shape="rect" id="node5" href="tettri_8c.html#aa5edf1170e954574fb88dff3cafac7c1" title="tetnb" alt="" coords="176,58,227,89"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="abb99aec57817a85ad1c4c2552f695434"></a><!-- doxytag: member="mesh2dual.c::Mesh2Nodal" ref="abb99aec57817a85ad1c4c2552f695434" args="(int n_ele, int n_vert, int *elevert, int **ia, int **ja)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Mesh2Nodal </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_vert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>elevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ia</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ja</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mesh2dual_8c_source.html#l00127">127</a> of file <a class="el" href="mesh2dual_8c_source.html">mesh2dual.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="mesh2dual_8c.html#a51ea3c9c2c0666b30c9e1253d1e21306">MAXVERTVERT</a>, <a class="el" href="mesh2dual_8c_source.html#l00040">Mesh2VertEle()</a>, and <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="matcreateseqadj_8c_source.html#l00030">matcreateseqadj()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, and <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_cgraph.png" border="0" usemap="#mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_cgraph_map" alt=""></div>
<map name="mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_cgraph_map" id="mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_cgraph">
<area shape="rect" id="node3" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="151,5,252,35"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_icgraph.png" border="0" usemap="#mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_icgraph_map" alt=""></div>
<map name="mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_icgraph_map" id="mesh2dual_8c_abb99aec57817a85ad1c4c2552f695434_icgraph">
<area shape="rect" id="node3" href="movedata_8c.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="332,415,439,446"/><area shape="rect" id="node9" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="169,263,263,294"/><area shape="rect" id="node57" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="165,186,267,217"/><area shape="rect" id="node63" href="util_8h.html#ab33e9faf6d36edfbfd51050078ab25a0" title="matcreateseqadj" alt="" coords="157,573,275,603"/><area shape="rect" id="node79" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="339,362,432,393"/><area shape="rect" id="node82" href="regrefine_8c.html#a445ec9c1079f67af589544afbcea155f" title="RegularRefinement" alt="" coords="151,467,281,498"/><area shape="rect" id="node5" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="897,454,956,485"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1683,238,1733,269"/><area shape="rect" id="node11" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="351,187,420,218"/><area shape="rect" id="node13" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="551,161,596,191"/><area shape="rect" id="node47" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="708,5,809,35"/><area shape="rect" id="node15" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="717,161,800,191"/><area shape="rect" id="node19" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1576,238,1635,269"/><area shape="rect" id="node43" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1420,57,1505,87"/><area shape="rect" id="node53" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="724,314,793,345"/><area shape="rect" id="node17" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1399,211,1527,242"/><area shape="rect" id="node25" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="888,109,965,139"/><area shape="rect" id="node30" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="880,213,973,243"/><area shape="rect" id="node22" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1579,185,1632,215"/><area shape="rect" id="node27" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1044,109,1169,139"/><area shape="rect" id="node32" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1068,353,1145,383"/><area shape="rect" id="node37" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1060,213,1153,243"/><area shape="rect" id="node34" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1219,366,1349,397"/><area shape="rect" id="node39" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1257,211,1311,242"/><area shape="rect" id="node49" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="859,5,995,35"/><area shape="rect" id="node59" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="348,134,423,165"/><area shape="rect" id="node65" href="reorder_8c.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="332,573,439,603"/><area shape="rect" id="node72" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="507,626,640,657"/><area shape="rect" id="node67" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="488,573,659,603"/><area shape="rect" id="node75" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="513,519,633,550"/><area shape="rect" id="node69" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="725,546,792,577"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a194ba29523e593289f63c3071c31a34b"></a><!-- doxytag: member="mesh2dual.c::Mesh2VertEle" ref="a194ba29523e593289f63c3071c31a34b" args="(int n_ele, int n_vert, int *elevert, int **ia, int **ja)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Mesh2VertEle </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_ele</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>n_vert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int *&nbsp;</td>
          <td class="paramname"> <em>elevert</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ia</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int **&nbsp;</td>
          <td class="paramname"> <em>ja</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="mesh2dual_8c_source.html#l00040">40</a> of file <a class="el" href="mesh2dual_8c_source.html">mesh2dual.c</a>.</p>

<p>References <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, and <a class="el" href="griddata_8h_source.html#l00094">NV</a>.</p>

<p>Referenced by <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="mesh2dual_8c_source.html#l00531">Mesh2Dual2()</a>, and <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>.</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="mesh2dual_8c_a194ba29523e593289f63c3071c31a34b_icgraph.png" border="0" usemap="#mesh2dual_8c_a194ba29523e593289f63c3071c31a34b_icgraph_map" alt=""></div>
<map name="mesh2dual_8c_a194ba29523e593289f63c3071c31a34b_icgraph_map" id="mesh2dual_8c_a194ba29523e593289f63c3071c31a34b_icgraph">
<area shape="rect" id="node3" href="util_8h.html#a072403ed5e4bbd16fd845d52009d1270" title="Mesh2Dual" alt="" coords="680,61,765,91"/><area shape="rect" id="node19" href="util_8h.html#a6210ae7524754edb5738f9516cb92654" title="Mesh2Dual2" alt="" coords="159,193,252,223"/><area shape="rect" id="node21" href="util_8h.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="159,323,252,354"/><area shape="rect" id="node5" href="movedata_8c.html#aac2a4c334ae5c2baef33867114fe8006" title="DataMoveData" alt="" coords="857,165,964,195"/><area shape="rect" id="node11" href="init_8h.html#ab880c52c1f93378088ef1e53763aa916" title="FacNB" alt="" coords="880,58,941,89"/><area shape="rect" id="node14" href="modifyprop__ser_8c.html#a155bbdd0e9cc1c9194b91b08ca8162ac" title="ModifyPropSer" alt="" coords="857,111,964,142"/><area shape="rect" id="node17" href="util_8h.html#ad881c6e71023a337d9a87f59d207106c" title="PidSharedArea" alt="" coords="856,5,965,35"/><area shape="rect" id="node7" href="serinit_8c.html#ae4c8f3120a177cfe3ce6929927865a94" title="SerInit" alt="" coords="1052,191,1111,222"/><area shape="rect" id="node9" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="1837,333,1888,363"/><area shape="rect" id="node24" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="321,399,415,430"/><area shape="rect" id="node72" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="317,459,419,490"/><area shape="rect" id="node78" href="util_8h.html#ab33e9faf6d36edfbfd51050078ab25a0" title="matcreateseqadj" alt="" coords="309,218,427,249"/><area shape="rect" id="node94" href="precond_8c.html#a811a9e1276828ec4cf472f954d12b1fc" title="Precond_Init" alt="" coords="489,602,583,633"/><area shape="rect" id="node97" href="regrefine_8c.html#a445ec9c1079f67af589544afbcea155f" title="RegularRefinement" alt="" coords="303,323,433,354"/><area shape="rect" id="node26" href="hdemag_8c.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="501,418,571,449"/><area shape="rect" id="node28" href="htot_8c.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="700,423,745,454"/><area shape="rect" id="node62" href="htot_8c.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="860,527,961,558"/><area shape="rect" id="node30" href="llg_8h.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="869,423,952,454"/><area shape="rect" id="node34" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="1731,411,1789,442"/><area shape="rect" id="node58" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047" title="EminiSolve" alt="" coords="1575,319,1660,350"/><area shape="rect" id="node68" href="precond_8c.html#a8cdc0d7af89d96e9d57fc6c0f791331f" title="Precond" alt="" coords="1047,634,1116,665"/><area shape="rect" id="node32" href="checkiterationllg_8c.html#a5433821a82b3ad3af34bb43677541a33" title="CheckIterationLLG" alt="" coords="1553,423,1681,454"/><area shape="rect" id="node40" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="1043,527,1120,558"/><area shape="rect" id="node45" href="rhsfunction_8c.html#a5e964b5572e1640d9a793c353f6a28f6" title="RHSfunction" alt="" coords="1035,474,1128,505"/><area shape="rect" id="node37" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="1733,333,1787,363"/><area shape="rect" id="node42" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="1199,577,1324,607"/><area shape="rect" id="node47" href="mytscreatepvode_8c.html#a56b55de0386618edfef4220e5b7b078a" title="PVodeInit" alt="" coords="1223,633,1300,663"/><area shape="rect" id="node52" href="mytscreatepvode_8c.html#a4ca0e9d74cde3d8e01ad9701426444da" title="PVodeReInit" alt="" coords="1215,474,1308,505"/><area shape="rect" id="node49" href="mytscreatepvode_8c.html#a9671ea286af405e584ae7468a0ce15b3" title="myTSCreatePVode" alt="" coords="1373,631,1504,662"/><area shape="rect" id="node54" href="checkiterationllg_8c.html#a4ff7d0e1586041652124b1189f59b881" title="adjtol" alt="" coords="1412,474,1465,505"/><area shape="rect" id="node64" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="1013,581,1149,611"/><area shape="rect" id="node74" href="hexch__ani_8c.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="499,471,573,502"/><area shape="rect" id="node80" href="reorder_8c.html#a6924d6317e2e503ad009880947d9f905" title="CheckPartition" alt="" coords="483,218,589,249"/><area shape="rect" id="node87" href="reorder_8c.html#aaa65da5c15989b05f5beaa0caec46fa6" title="OptimizeBandwidth" alt="" coords="656,165,789,195"/><area shape="rect" id="node82" href="parteleser_8c.html#a6458904885e6dd97ed495c8ad5f11ca0" title="DataPartitionElementsSer" alt="" coords="637,271,808,302"/><area shape="rect" id="node90" href="reorder_8c.html#a6f34cee4815f64fdb70ac23efe121a18" title="TrivialPartitioning" alt="" coords="663,218,783,249"/><area shape="rect" id="node84" href="reorder_8c.html#a37fbeb81912fa6f3e4bcc7e3dd71bc62" title="Reorder" alt="" coords="877,218,944,249"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

